Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 15832007: DevTools: Add support for //# sourceURL (sourceMappingURL) comments and deprecate //@ ones (Closed)

Created:
5 years, 3 months ago by vsevik
Modified:
5 years, 3 months ago
CC:
blink-reviews, caseq+blink_chromium.org, loislo+blink_chromium.org, eustas+blink_chromium.org, alph+blink_chromium.org, eae+blinkwatch, yurys+blink_chromium.org, lushnikov+blink_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, aandrey+blink_chromium.org
Visibility:
Public.

Description

DevTools: Add support for //# sourceURL (sourceMappingURL) comments and deprecate //@ ones Added support for a new type of comments and a console warning when the older one is used. R=yurys@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=151755

Patch Set 1 #

Total comments: 8

Patch Set 2 : Comments addressed #

Patch Set 3 : Comments addressed + more tests. #

Patch Set 4 : Rebaselined #

Unified diffs Side-by-side diffs Delta from patch set Stats (+193 lines, -86 lines) Patch
M LayoutTests/http/tests/inspector-enabled/dynamic-scripts.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/http/tests/inspector/debugger-test.js View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/http/tests/inspector/resources/compiled.js View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/http/tests/inspector/styles/resources/selector-line-sourcemap-header.php View 1 chunk +1 line, -1 line 0 comments Download
A + LayoutTests/http/tests/inspector/styles/resources/selector-line-sourcemap-header-deprecated.php View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download
A + LayoutTests/http/tests/inspector/styles/resources/selector-line-sourcemap-header-deprecated.php.map View 1 2 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/http/tests/inspector/styles/resources/stylesheet-tracking-iframe.html View 1 chunk +1 line, -1 line 0 comments Download
A + LayoutTests/http/tests/inspector/styles/selector-line-sourcemap-header-deprecated.html View 1 2 1 chunk +1 line, -1 line 0 comments Download
A + LayoutTests/http/tests/inspector/styles/selector-line-sourcemap-header-deprecated-expected.txt View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M LayoutTests/inspector/console/console-trace-in-eval.html View 2 chunks +2 lines, -2 lines 0 comments Download
M LayoutTests/inspector/console/console-trace-in-eval-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/console/console-uncaught-exception-in-eval.html View 2 chunks +2 lines, -2 lines 0 comments Download
M LayoutTests/inspector/console/console-uncaught-exception-in-eval-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/debugger/debugger-script-preprocessor.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/inspector/debugger/debugger-scripts-reload.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/debugger/dynamic-scripts.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/debugger/file-system-project-mapping.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/debugger/file-system-project-mapping-expected.txt View 4 chunks +4 lines, -4 lines 0 comments Download
M LayoutTests/inspector/debugger/source-url-comment.html View 1 2 chunks +27 lines, -4 lines 0 comments Download
M LayoutTests/inspector/debugger/source-url-comment-expected.txt View 1 2 2 chunks +8 lines, -3 lines 0 comments Download
M LayoutTests/inspector/styles/dynamic-style-tag.html View 1 chunk +3 lines, -3 lines 0 comments Download
M LayoutTests/inspector/styles/dynamic-style-tag-expected.txt View 3 chunks +3 lines, -3 lines 0 comments Download
M LayoutTests/inspector/styles/resources/selector-line.css View 1 chunk +1 line, -1 line 0 comments Download
A + LayoutTests/inspector/styles/resources/selector-line-deprecated.css View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download
A + LayoutTests/inspector/styles/selector-line-deprecated.html View 1 2 1 chunk +1 line, -1 line 0 comments Download
LayoutTests/inspector/styles/selector-line-deprecated-expected.txt View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M LayoutTests/inspector/styles/stylesheet-source-url-comment.html View 1 2 chunks +23 lines, -3 lines 0 comments Download
M LayoutTests/inspector/styles/stylesheet-source-url-comment-expected.txt View 1 2 2 chunks +7 lines, -2 lines 0 comments Download
M LayoutTests/inspector/timeline/timeline-timer-fired-from-eval-call-site.html View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/inspector/ContentSearchUtils.h View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/inspector/ContentSearchUtils.cpp View 1 2 3 2 chunks +18 lines, -7 lines 0 comments Download
M Source/core/inspector/InspectorDebuggerAgent.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/InspectorDebuggerAgent.cpp View 1 2 3 chunks +13 lines, -11 lines 0 comments Download
M Source/core/inspector/InspectorPageAgent.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/InspectorPageAgent.cpp View 2 chunks +21 lines, -0 lines 0 comments Download
M Source/core/inspector/InspectorStyleSheet.cpp View 1 2 3 3 chunks +14 lines, -14 lines 0 comments Download
M Source/core/inspector/PageDebuggerAgent.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/PageDebuggerAgent.cpp View 1 2 3 2 chunks +6 lines, -0 lines 0 comments Download
M Source/core/inspector/WorkerDebuggerAgent.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/WorkerDebuggerAgent.cpp View 1 chunk +6 lines, -0 lines 0 comments Download
M Source/devtools/front_end/ConsoleMessage.js View 1 chunk +1 line, -1 line 0 comments Download
M Source/devtools/front_end/ResourceScriptMapping.js View 3 chunks +3 lines, -3 lines 0 comments Download
M Source/devtools/front_end/ScriptSnippetModel.js View 1 chunk +1 line, -1 line 0 comments Download
M Source/devtools/front_end/TestController.js View 1 chunk +1 line, -1 line 0 comments Download
M Source/devtools/front_end/View.js View 1 chunk +1 line, -1 line 0 comments Download
M Source/devtools/front_end/utilities.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 9 (0 generated)
vsevik
Please review.
5 years, 3 months ago (2013-05-29 12:56:18 UTC) #1
yurys
https://codereview.chromium.org/15832007/diff/1/LayoutTests/inspector/console/console-trace-in-eval.html File LayoutTests/inspector/console/console-trace-in-eval.html (right): https://codereview.chromium.org/15832007/diff/1/LayoutTests/inspector/console/console-trace-in-eval.html#newcode47 LayoutTests/inspector/console/console-trace-in-eval.html:47: with //# sourceURL=url it will dump a stack trace ...
5 years, 3 months ago (2013-05-29 13:34:12 UTC) #2
apavlov
https://codereview.chromium.org/15832007/diff/1/LayoutTests/http/tests/inspector/debugger-test.js File LayoutTests/http/tests/inspector/debugger-test.js (right): https://codereview.chromium.org/15832007/diff/1/LayoutTests/http/tests/inspector/debugger-test.js#newcode288 LayoutTests/http/tests/inspector/debugger-test.js:288: var hasSourceURL = !!source.match(/\/\/#\ssourceURL=\s*(\S*?)\s*$/m) || !!source.match(/\/\/@\ssourceURL=\s*(\S*?)\s*$/m); You could use ...
5 years, 3 months ago (2013-05-29 13:58:04 UTC) #3
vsevik
PTAL On 2013/05/29 13:34:12, Yury Semikhatsky wrote: > https://codereview.chromium.org/15832007/diff/1/LayoutTests/inspector/console/console-trace-in-eval.html > File LayoutTests/inspector/console/console-trace-in-eval.html (right): > > ...
5 years, 3 months ago (2013-05-29 14:00:05 UTC) #4
yurys
lgtm
5 years, 3 months ago (2013-05-29 14:08:06 UTC) #5
vsevik
On 2013/05/29 13:58:04, apavlov wrote: > https://codereview.chromium.org/15832007/diff/1/LayoutTests/http/tests/inspector/debugger-test.js > File LayoutTests/http/tests/inspector/debugger-test.js (right): > > https://codereview.chromium.org/15832007/diff/1/LayoutTests/http/tests/inspector/debugger-test.js#newcode288 > ...
5 years, 3 months ago (2013-05-29 14:28:58 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/vsevik@chromium.org/15832007/4003
5 years, 3 months ago (2013-05-29 14:29:48 UTC) #7
commit-bot: I haz the power
Retried try job too often on linux_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_layout_rel&number=10718
5 years, 3 months ago (2013-05-29 15:19:28 UTC) #8
vsevik
5 years, 3 months ago (2013-06-04 15:40:40 UTC) #9
Message was sent while issue was closed.
Committed patchset #4 manually as r151755 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698